<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Soal nomor 2</title>
</head>
<body>
  <div id="app">
      <button onclick="vm.openForm()">Open Form</button>
      <h1>{{ 'Nilai a : ' + a }}</h1>
      <h1>{{ 'Nilai rata - rata : ' + avg }}</h1>
  </div>
  
  <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
  <script>
   var vm = new Vue({
      el: '#app',
      data: {
          a : 0,
          avg : 0
      },
      methods : {
          openForm(){
              let sum = 0, total = 0;
              while(sum <= 10){
                  masukan = prompt("Masukkan nilai a")
                  sum += parseInt(masukan)
                  total++;
              }
              this.avg = parseFloat(sum/total)
              this.a = sum
          }
      }
  })
  </script>
</body>
</html>